﻿@model IEnumerable<RealEstate.Models.Project.MA_UniversityModel>

<style>
    .elg_txt {
        background: #1b4d96;
        color: #fff;
        padding: 5px 5px;
        border-radius: 3px;
    }
</style>

<div class="col-lg-4">
    <div class="card">

        @*<div class="card-title">
                <h3><span class="ti-filter"></span>Filters</h3>
                <h6 class="elg_txt">ELIGIBILITY</h6>
            </div>


            <div class="col-lg-12 p0">
                <label><b>Country of Residence *</b></label>
                <div class="dropdown mb15">
                    <select class="form-control selectpicker" data-live-search="true">
                        <option>Car</option>
                        <option>Bike</option>
                        <option>Scooter</option>
                        <option>Cycle</option>
                        <option>Horse</option>
                    </select>
                </div>
            </div>
            <div class="col-lg-12 p0">
                <label><b>State of Residence *</b> <a href="#" class="tooltip" data-tooltip="link tooltip"> <i class="fa fa-question-circle"></i></a></label>
                <div class="dropdown mb15">
                    <select class="form-control selectpicker" data-live-search="true">
                        <option>Car</option>
                        <option>Bike</option>
                        <option>Scooter</option>
                        <option>Cycle</option>
                        <option>Horse</option>
                    </select>
                </div>
            </div>
            <div class="col-lg-12 p0">
                <label><b>Highest Qualification Studied  *</b></label>
                <div class="dropdown mb15">
                    <select class="form-control selectpicker" data-live-search="true">
                        <option>Car</option>
                        <option>Bike</option>
                        <option>Scooter</option>
                        <option>Cycle</option>
                        <option>Horse</option>
                    </select>
                </div>
            </div>
            <div class="col-lg-12 p0">
                <label><b>Grading System(12th) *</b><a href="#" class="tooltip" data-tooltip="link tooltip"> <i class="fa fa-question-circle"></i></a></label>
                <div class="dropdown mb15">
                    <select class="form-control selectpicker" data-live-search="true">
                        <option>Car</option>
                        <option>Bike</option>
                        <option>Scooter</option>
                        <option>Cycle</option>
                        <option>Horse</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label><b>Score(12th)</b></label>
                <input type="number" min="0" max="100" class="form-control" placeholder="Enter..">
            </div>
            <div class="col-lg-12 p0">
                <label><b>Grading System(UG) *</b> <a href="#" class="tooltip" data-tooltip="link tooltip"> <i class="fa fa-question-circle"></i></a></label>
                <div class="dropdown mb15">
                    <select class="form-control selectpicker" data-live-search="true">
                        <option>Car</option>
                        <option>Bike</option>
                        <option>Scooter</option>
                        <option>Cycle</option>
                        <option>Horse</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label><b>Score(UG)</b></label>
                <input type="number" min="0" max="100" class="form-control" placeholder="Enter..">
            </div>
            <div class="form-group">
                <label><b>Backlogs</b></label>
                <input type="number" min="0" max="50" class="form-control" placeholder="Enter..">
            </div>
            <div class="form-group">
                <label><b>Work Experience (Years)</b></label>
                <input type="number" min="0" max="20" class="form-control" placeholder="Enter..">
            </div>
            <div class="col-lg-12 form-group fl_lft">
                <div class="demo-zone">
                    <label><b>English Proficiency Exam  *</b></label>
                    <select id="" class="form-control selectpicker" data-live-search="true">
                        <option value="I don't have this">I don't have this</option>
                        <option value="I will provide this later">I will provide this later</option>
                        <option value="IELTS">IELTS</option>
                        <option value="TOEFL">TOEFL</option>
                        <option value="PTE">PTE</option>
                        <option value="DTE">DTE</option>
                    </select>
                </div>
                <div class="col-lg-12 p0">
                    <div class="col-lg-6 fl_lft pl0">
                        <div class="demo-zone"><label><b>Overall*</b></label></div><input type="text" class="col-lg-12 form-control">
                    </div>
                    <div class="col-lg-6 fl_lft pr0"><div class="demo-zone"><label><b>Listening*</b></label></div><input type="text" class="col-lg-12 form-control"></div>
                    <div class="col-lg-6 fl_lft pl0">
                        <div class="demo-zone"><label><b>Reading*</b></label></div><input type="text" class="col-lg-12 form-control">
                    </div>
                    <div class="col-lg-6 fl_lft pr0"><div class="demo-zone"><label><b>Writing*</b></label></div><input type="text" class="col-lg-12 form-control"></div>
                    <div class="col-lg-6 fl_lft pl0">
                        <div class="demo-zone"><label><b>Speaking*</b></label></div><input type="text" class="col-lg-12 form-control">
                    </div>
                </div>
            </div>
            <div class="col-lg-12 form-group fl_lft">
                <div class="demo-zone">
                    <label><b>Other Exams</b></label>
                    <select id="" class="form-control selectpicker" data-live-search="true" onchange="showHideEle(this, 'TitleOther', 'GMAT')">
                        <option value="SAT">SAT</option>
                        <option value="ACT">ACT</option>
                        <option value="GRE">GRE</option>
                        <option value="GMAT">GMAT</option>
                    </select>
                </div>
                <div class="col-lg-12 p0" id="TitleOther" style="display:none;">
                    <div class="col-lg-6 fl_lft pl0">
                        <div class="demo-zone"><label><b>Overall Score*</b></label></div><input type="text" class="col-lg-12 form-control">
                    </div>
                </div>
            </div>

            <div class="mb10"><button type="submit" class="col-lg-12 btn btn-default">Reset</button></div>
            <div class="mb10"><button type="submit" class="col-lg-12 btn btn-default">Apply Filter</button></div>*@




        <div class="card-title" style="overflow:scroll; max-height:13em;">
            <h6 class="elg_txt">UNIVERSITIES</h6>
            <ul>
                @{ try
                    {
                        foreach (var x in (from x in Model select x.University).GroupBy(x => x).ToList())
                        {
                            <li>
                                <div class="col-lg-9" style="display:inline-block;float:left;"><label><input type="checkbox" onchange="upf_search(this,1,0)" id="@x.Key.Replace(" ","_-")" class="ckb_university"><span class="f14"> @x.Key</span></label></div>
                                <div class="col-lg-3" style="display:inline-block;"><input type="text" class="col-lg-12 p0_5 f14" placeholder="@x.Count()" disabled></div>
                            </li>
                        }
                    }
                    catch
                    {

                    }
                }


            </ul>

        </div>
        <div class="card-title" style="overflow:scroll; max-height:13em;">
            <h6 class="elg_txt">PROGRAM LEVEL</h6>
            <ul>
                @{ try
                    {
                        foreach (var x in (from x in Model select x.Studylvl).GroupBy(x => x).ToList())
                        {
                            <li>
                                <div class="col-lg-9" style="display:inline-block;float:left;"><label><input type="checkbox" onchange="upf_search(this,2,0)" id="@x.Key.Replace(" ","_-")" class="ckb_programlevel"><span class="f14"> @x.Key</span></label></div>
                                <div class="col-lg-3" style="display:inline-block;"><input type="text" class="col-lg-12 p0_5 f14" placeholder="@x.Count()" disabled></div>
                            </li>
                        }
                    }
                    catch
                    {

                    }
                }

            </ul>

        </div>

        <div class="card-title" style="overflow:scroll; max-height:13em;">
            <h6 class="elg_txt">TUTION FEES</h6>
            <div class="col-lg-12" style="display:inline-block;float:left;"><label><span class="f14"><b>TUTION FEES : </b></span><span id="lbl_tutiofee"></span></label></div>
        </div>
        <hr class="m0">
        <div class="col-lg-12">
            <div class="nestable-cart">
                <div class="rangeslider">


                    <input type="range" min="0" max="100000" value="0" step="10" id="myRange" style="width:100%">
                </div>
            </div>
        </div>


    </div>
</div>


<script>
    var slider = document.getElementById("myRange");
    var output = document.getElementById("lbl_tutiofee");
    output.innerHTML = slider.value;

    slider.oninput = function () {
        output.innerHTML = this.value;

        setTimeout(function () {
            upf_search(this, 3, this.value)
        }, 2000)

    }
</script>
<script>
    function showHideEle(selectSrc, targetEleId, triggerValue) {
        if (selectSrc.value == triggerValue) {
            document.getElementById(targetEleId).style.display = "inline-block";
        } else {
            document.getElementById(targetEleId).style.display = "none";
        }
    }
</script>